From 3b39f883e67380dab291238887f1c2bea98bf379 Mon Sep 17 00:00:00 2001
From: Juan Jose Garcia Ripoll <jjgarcia@users.sourceforge.net>
Date: Mon, 1 Aug 2011 21:30:45 +0200
Subject: [PATCH 3/5] In asdf-ecl.lisp, lib-op do not use :ld-flags (they call
 'ar', not the linker)

---
 asdf-ecl.lisp |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/asdf-ecl.lisp b/asdf-ecl.lisp
index 084569c..9a204a8 100644
--- a/asdf-ecl.lisp
+++ b/asdf-ecl.lisp
@@ -82,6 +82,11 @@
         (remove-keys '(type monolithic name-suffix)
                      (slot-value instance 'original-initargs))))
 
+(defmethod bundle-op-build-args :around ((op lib-op))
+  (let ((args (call-next-method)))
+    (remf args :ld-flags)
+    args))
+
 (defvar *force-load-p* nil)
 
 (defmethod operation-done-p :around ((operation load-op) c)
-- 
1.7.6

